Bug 197488 - Review Request: uread - Utilities for unformatted fortran files
Review Request: uread - Utilities for unformatted fortran files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-02 18:40 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 16:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-07-02 18:40:31 EDT
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/uread-0.19981218-1.src.rpm
Description: 
These utilities enable you to have a look at a Fortran unformatted file to
see the size of the data records, and to swap its endianess from big to
little, or vis versa.
Comment 1 Jochen Schmitt 2006-07-03 14:56:35 EDT
Good:
+ rpmlint doesn't complaint the source rpm.

Bad:
- Source0 should conatins a full-qualified URL.
 
Question: Will this software continue supported by the developers?

On the top of the SPEC file I found a time stamp from the year 1998. 
This are 8 years ago now, so I have to asume, that there will be no active
development of this software.

Want point, which inprove my asumetion is, I have not found a full-qualified URL
to the sources, so I think that this may be a cvs snapshot. So I mus asume, that
there will be no active development of this software. If I will be right, I must
block an inclusion of this software as a reviewer of Fedora Extras.

Best Regards:

Jochen Schmitt
Comment 2 Patrice Dumas 2006-07-03 15:38:29 EDT
It is not a cvs snapshot, it is just a stable software.
If you look at the comments at the top of the spec file you'll see 
where the real source come from. since it is unversionned, I use the 
timestamp to have a versionned file. You can have a look at 
tetex-tex4ht for another example.

#Source0:        http://www.engineers.auckland.ac.nz/~snor007/src/uread.tar.gz

There is no active development, but is is not a bad thing, it is
a very good thing, it means that it is a stable software. Hopefully 
there will be no more development for that software.

The upstream is still responsive, however as I was able to have
a licence clarifiction in 2 days. That's a pretty responsive 
upstream...
Comment 3 Jochen Schmitt 2006-07-04 13:37:33 EDT
OK. Then please post a fixed SRPM, so I can continue the review process.
Comment 4 Patrice Dumas 2006-07-04 15:35:42 EDT
Urm. Fixed how? What do you propose for the source tarball name, the release
and the version?
Comment 5 Jochen Schmitt 2006-07-05 11:27:41 EDT
For the Source tag, you should have a full qualified URL points to the 
download location of the source file.
Comment 6 Patrice Dumas 2006-07-05 12:09:58 EDT
The source tag corresponds with the tarball name. In that case the tarball
on the web don't have a version associated. So to have a tarball with
a version, one cannot have the real url in the source tag. In my opinion
it is better to have a tarball with a version (a timestamp here) than to
have the real url, given that the url is in comment near the Source tag,
with an instruction to use wget to retrieve the source.
Comment 7 Jochen Schmitt 2006-07-06 12:02:36 EDT
I disagree with comment #6, I expect a full-qualified URL in the source tag.
Comment 8 Patrice Dumas 2006-07-06 14:13:54 EDT
There will source tarball with different content and the same name.
Do you really want that? I guess the buildsystem is able to handle
such a case, but it is very unconvenient. Maybe it is time to 
throw the issue in fedora-extras-list?
Comment 9 Jason Tibbitts 2007-05-22 16:36:30 EDT
So, is anything happening here?  It's been over ten months since the last comment.
Comment 10 Patrice Dumas 2007-05-22 17:27:49 EDT
I should contact upstream and ask for a versionned tarball, but I
have other priorities. I think it could be left open.
Comment 11 Jochen Schmitt 2007-06-24 14:06:05 EDT
I have ask on fedora-maintainers how to handle this situation. Please rename the
tarbar into anything like uread-<Timestamp>.tar.gz and use the Timestamp as the
version of the package.
Comment 12 Patrice Dumas 2007-06-25 16:42:57 EDT
(In reply to comment #11)
> I have ask on fedora-maintainers how to handle this situation. Please rename the
> tarbar into anything like uread-<Timestamp>.tar.gz and use the Timestamp as the
> version of the package.

As the version, are you sure? Shouldn't the version be 0 instead?
And release something along 0.%{stamp}?
Comment 13 Jochen Schmitt 2007-06-26 11:24:37 EDT
Sorry, you are right.
Comment 14 Patrice Dumas 2007-06-26 13:55:49 EDT
I changed the version and release accordingly:

- use 0 as version and put the timestamp in the release

http://www.environnement.ens.fr/perso/dumas/fc-srpms/uread.spec
http://www.environnement.ens.fr/perso/dumas/fc-srpms/uread-0-0.19981218.fc8.src.rpm
Comment 15 Jochen Schmitt 2007-06-26 14:35:41 EDT
Good:
+ Package meets the naming guideline
+ Package versioning schema idicates, that a unversion source was used
+ Package source was renamed to contains a timestamp, becaused it was unversioned
+ License of the package is GPL
+ Package contains a mail from upstream with explicit GPL permission
+ License field metches with mail.
+ Spec is written in english.
+ RPM macros are used consistently
+ Tar ball matches with upsream
  (md5sum: 656a18c6e731f5ff405d69279c897b1f)
+ Package has correct buildroot
+ Package has no BuildRequires
+ Package has no Requires
+ Package has no subpackages
+ Package use optflags
+ Package use %{_smp_mflags}
+ Local build works
+ Package contains proper %defattr 
+ Package has a %clean section and buildroot will clean at the start of %install
+ Package filelist has no duplicates
+ Package contains no files own by an other package
+ Application does not crash on startup
+ Changelog section look ok.
+ Rpmlint is quite on source and binary rpm.
+ Debuginfo package contains source files
* Mock build works fine for Devel and F-7 (x86_64)

Bad:
- Package doesn't contains a file with the verbatim license text

*** APPROVED ***
Comment 16 Patrice Dumas 2007-06-29 17:40:45 EDT
New Package CVS Request
=======================
Package Name: uread
Short Description: Utilities for unformatted fortran files
Owners: pertusus[ AT ]free.fr
Branches: EPEL-4 EPEL-5
InitialCC: 
Comment 17 Kevin Fenzi 2007-07-02 14:35:42 EDT
cvs done.
Comment 18 Patrice Dumas 2007-07-03 16:33:12 EDT
Thanks for the review, Jochen.

Note You need to log in before you can comment on or make changes to this bug.